]> git.pld-linux.org Git - packages/glibc.git/blame - glibc-no-bash-nls.patch
- rel 6; update fixes from upstream
[packages/glibc.git] / glibc-no-bash-nls.patch
CommitLineData
6bb391cf
AM
1--- glibc-2.21/elf/ldd.bash.in.org 2015-02-06 16:35:42.258090169 +0100
2+++ glibc-2.21/elf/ldd.bash.in 2015-02-06 16:35:57.491784092 +0100
742e361d
ER
3@@ -1,4 +1,4 @@
4-#! @BASH@
6bb391cf 5+#!/bin/sh
4928f174 6 # Copyright (C) 1996-2018 Free Software Foundation, Inc.
742e361d
ER
7 # This file is part of the GNU C Library.
8
6bb391cf 9@@ -35,16 +35,16 @@ while test $# -gt 0; do
742e361d
ER
10 case "$1" in
11 --vers | --versi | --versio | --version)
ccca7e27 12 echo 'ldd @PKGVERSION@@VERSION@'
742e361d
ER
13- printf $"Copyright (C) %s Free Software Foundation, Inc.
14+ printf "Copyright (C) %s Free Software Foundation, Inc.
15 This is free software; see the source for copying conditions. There is NO
16 warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
4928f174 17 " "2018"
742e361d
ER
18- printf $"Written by %s and %s.
19+ printf "Written by %s and %s.
20 " "Roland McGrath" "Ulrich Drepper"
21 exit 0
22 ;;
23 --h | --he | --hel | --help)
24- echo $"Usage: ldd [OPTION]... FILE...
25+ echo "Usage: ldd [OPTION]... FILE...
26 --help print this help and exit
27 --version print version information and exit
28 -d, --data-relocs process data relocations
ccca7e27 29@@ -52,7 +52,7 @@
742e361d
ER
30 -u, --unused print unused direct dependencies
31 -v, --verbose print all information
32 "
ccca7e27
AM
33- printf $"For bug reporting instructions, please see:\\n%s.\\n" \
34+ printf "For bug reporting instructions, please see:\\n%s.\\n" \
35 "@REPORT_BUGS_TO@"
742e361d 36 exit 0
ccca7e27 37 ;;
742e361d
ER
38@@ -79,15 +79,15 @@
39 shift
40 ;;
41 --v | --ve | --ver)
42- echo >&2 $"ldd: option \`$1' is ambiguous"
43+ echo >&2 "ldd: option \`$1' is ambiguous"
44 exit 1
45 ;;
46 --) # Stop option processing.
47 shift; break
48 ;;
49 -*)
50- echo >&2 'ldd:' $"unrecognized option" "\`$1'"
51- echo >&2 $"Try \`ldd --help' for more information."
52+ echo >&2 'ldd:' "unrecognized option" "\`$1'"
53+ echo >&2 "Try \`ldd --help' for more information."
54 exit 1
55 ;;
56 *)
12105404 57@@ -121,8 +121,8 @@
742e361d
ER
58
59 case $# in
60 0)
61- echo >&2 'ldd:' $"missing file arguments"
62- echo >&2 $"Try \`ldd --help' for more information."
63+ echo >&2 'ldd:' "missing file arguments"
64+ echo >&2 "Try \`ldd --help' for more information."
65 exit 1
66 ;;
67 1)
68@@ -147,13 +141,13 @@
69 ;;
70 esac
71 if test ! -e "$file"; then
72- echo "ldd: ${file}:" $"No such file or directory" >&2
73+ echo "ldd: ${file}:" "No such file or directory" >&2
74 result=1
75 elif test ! -f "$file"; then
76- echo "ldd: ${file}:" $"not regular file" >&2
77+ echo "ldd: ${file}:" "not regular file" >&2
78 result=1
79 elif test -r "$file"; then
80- test -x "$file" || echo 'ldd:' $"\
81+ test -x "$file" || echo 'ldd:' "\
82 warning: you do not have execution permission for" "\`$file'" >&2
83 RTLD=
84 ret=1
85@@ -182,7 +176,7 @@
86 1)
87 # This can be a non-ELF binary or no binary at all.
88 nonelf "$file" || {
89- echo $" not a dynamic executable"
90+ echo " not a dynamic executable"
91 result=1
92 }
93 ;;
94@@ -190,12 +184,12 @@
95 try_trace "$RTLD" "$file" || result=1
96 ;;
97 *)
98- echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2
99+ echo 'ldd:' ${RTLD} "exited with unknown exit code" "($ret)" >&2
100 exit 1
101 ;;
102 esac
103 else
104- echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2
105+ echo 'ldd:' "error: you do not have read permission for" "\`$file'" >&2
106 result=1
107 fi
108 done
6bb391cf
AM
109--- glibc-2.21/elf/sotruss.sh~ 2015-02-06 16:36:52.000000000 +0100
110+++ glibc-2.21/elf/sotruss.sh 2015-02-06 16:40:23.484746243 +0100
982cc116
JB
111@@ -1,4 +1,4 @@
112-#! @BASH@
6bb391cf 113+#!/bin/sh
4928f174 114 # Copyright (C) 2011-2018 Free Software Foundation, Inc.
982cc116
JB
115 # This file is part of the GNU C Library.
116
6bb391cf 117@@ -72,18 +72,18 @@ while test $# -gt 0; do
982cc116
JB
118 case "$1" in
119 --v | --ve | --ver | --vers | --versi | --versio | --version)
120 echo "sotruss @PKGVERSION@@VERSION@"
121- printf $"Copyright (C) %s Free Software Foundation, Inc.
122+ printf "Copyright (C) %s Free Software Foundation, Inc.
123 This is free software; see the source for copying conditions. There is NO
124 warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
4928f174 125 " "2018"
982cc116
JB
126- printf $"Written by %s.\n" "Ulrich Drepper"
127+ printf "Written by %s.\n" "Ulrich Drepper"
128 exit 0
129 ;;
130 -\? | --h | --he | --hel | --help)
131 do_help
132 ;;
133 --u | --us | --usa | --usag | --usage)
134- printf $"Usage: %s [-ef] [-F FROMLIST] [-o FILENAME] [-T TOLIST] [--exit]
135+ printf "Usage: %s [-ef] [-F FROMLIST] [-o FILENAME] [-T TOLIST] [--exit]
136 [--follow] [--from FROMLIST] [--output FILENAME] [--to TOLIST]
137 [--help] [--usage] [--version] [--]
138 EXECUTABLE [EXECUTABLE-OPTION...]\n" sotruss
This page took 0.060462 seconds and 4 git commands to generate.